/*!
\fn static TypeId ns3::ConstantRateWifiManager::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::ConstantRateWifiManager

Attributes defined for this type:
<ul>
<li><b>DataMode</b>: XXX
  <ul>
    <li>Type: WifiMode</li>
<li>Flags: write read construct   </ul> 
<li><b>ControlMode</b>: XXX
  <ul>
    <li>Type: WifiMode</li>
<li>Flags: write read construct   </ul> 
</ul>
Attributes defined in parent classes:<br>
ns3::WifiRemoteStationManager
<ul>
<li><b>IsLowLatency</b>: XXX
  <ul>
    <li>Type: Boolean</li>
<li>Flags: write read construct   </ul> 
<li><b>MaxSsrc</b>: XXX
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
<li><b>MaxSlrc</b>: XXX
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
<li><b>RtsCtsThreshold</b>: XXX
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
<li><b>FragmentationThreshold</b>: XXX
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::WifiRemoteStationManager::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::WifiRemoteStationManager

Attributes defined for this type:
<ul>
<li><b>IsLowLatency</b>: XXX
  <ul>
    <li>Type: Boolean</li>
<li>Flags: write read construct   </ul> 
<li><b>MaxSsrc</b>: XXX
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
<li><b>MaxSlrc</b>: XXX
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
<li><b>RtsCtsThreshold</b>: XXX
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
<li><b>FragmentationThreshold</b>: XXX
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::Object::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::Object

No Attributes defined for this type.
*/
/*!
\fn static TypeId ns3::ObjectBase::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::ObjectBase

No Attributes defined for this type.
*/
/*!
\fn static TypeId ns3::OnoeWifiManager::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::OnoeWifiManager

Attributes defined for this type:
<ul>
<li><b>UpdatePeriod</b>: The interval between decisions about rate control changes
  <ul>
    <li>Type: Time</li>
<li>Flags: write read construct   </ul> 
<li><b>RaiseThreshold</b>: XXX
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
<li><b>AddCreditThreshold</b>: Add credit threshold
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
</ul>
Attributes defined in parent classes:<br>
ns3::WifiRemoteStationManager
<ul>
<li><b>IsLowLatency</b>: XXX
  <ul>
    <li>Type: Boolean</li>
<li>Flags: write read construct   </ul> 
<li><b>MaxSsrc</b>: XXX
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
<li><b>MaxSlrc</b>: XXX
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
<li><b>RtsCtsThreshold</b>: XXX
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
<li><b>FragmentationThreshold</b>: XXX
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::AmrrWifiManager::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::AmrrWifiManager

Attributes defined for this type:
<ul>
<li><b>UpdatePeriod</b>: The interval between decisions about rate control changes
  <ul>
    <li>Type: Time</li>
<li>Flags: write read construct   </ul> 
<li><b>FailureRatio</b>: Ratio of minimum erronous transmissions needed to switch to a lower rate
  <ul>
    <li>Type: double -> 0:1</li>
<li>Flags: write read construct   </ul> 
<li><b>SuccessRatio</b>: Ratio of maximum erronous transmissions needed to switch to a higher rate
  <ul>
    <li>Type: double -> 0:1</li>
<li>Flags: write read construct   </ul> 
<li><b>MaxSuccessThreshold</b>: Maximum number of consecutive success periods needed to switch to a higher rate
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
<li><b>MinSuccessThreshold</b>: Minimum number of consecutive success periods needed to switch to a higher rate
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
</ul>
Attributes defined in parent classes:<br>
ns3::WifiRemoteStationManager
<ul>
<li><b>IsLowLatency</b>: XXX
  <ul>
    <li>Type: Boolean</li>
<li>Flags: write read construct   </ul> 
<li><b>MaxSsrc</b>: XXX
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
<li><b>MaxSlrc</b>: XXX
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
<li><b>RtsCtsThreshold</b>: XXX
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
<li><b>FragmentationThreshold</b>: XXX
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::IdealWifiManager::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::IdealWifiManager

Attributes defined for this type:
<ul>
<li><b>BerThreshold</b>: The maximum Bit Error Rate acceptable at any transmission mode
  <ul>
    <li>Type: double -> -1.79769e+308:1.79769e+308</li>
<li>Flags: write read construct   </ul> 
</ul>
Attributes defined in parent classes:<br>
ns3::WifiRemoteStationManager
<ul>
<li><b>IsLowLatency</b>: XXX
  <ul>
    <li>Type: Boolean</li>
<li>Flags: write read construct   </ul> 
<li><b>MaxSsrc</b>: XXX
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
<li><b>MaxSlrc</b>: XXX
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
<li><b>RtsCtsThreshold</b>: XXX
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
<li><b>FragmentationThreshold</b>: XXX
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::AarfWifiManager::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::AarfWifiManager

Attributes defined for this type:
<ul>
<li><b>SuccessK</b>: Multiplication factor for the success threshold in the AARF algorithm.
  <ul>
    <li>Type: double -> -1.79769e+308:1.79769e+308</li>
<li>Flags: write read construct   </ul> 
<li><b>TimerK</b>: Multiplication factor for the timer threshold in the AARF algorithm.
  <ul>
    <li>Type: double -> -1.79769e+308:1.79769e+308</li>
<li>Flags: write read construct   </ul> 
<li><b>MaxSuccessThreshold</b>: Maximum value of the success threshold in the AARF algorithm.
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
<li><b>MinTimerThreshold</b>: The minimum value for the 'timer' threshold in the AARF algorithm.
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
<li><b>MinSuccessThreshold</b>: The minimum value for the success threshold in the AARF algorithm.
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
</ul>
Attributes defined in parent classes:<br>
ns3::ArfWifiManager
<ul>
<li><b>TimerThreshold</b>: The 'timer' threshold in the ARF algorithm.
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
<li><b>SuccessThreshold</b>: The minimum number of sucessfull transmissions to try a new rate.
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
</ul>
ns3::WifiRemoteStationManager
<ul>
<li><b>IsLowLatency</b>: XXX
  <ul>
    <li>Type: Boolean</li>
<li>Flags: write read construct   </ul> 
<li><b>MaxSsrc</b>: XXX
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
<li><b>MaxSlrc</b>: XXX
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
<li><b>RtsCtsThreshold</b>: XXX
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
<li><b>FragmentationThreshold</b>: XXX
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::ArfWifiManager::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::ArfWifiManager

Attributes defined for this type:
<ul>
<li><b>TimerThreshold</b>: The 'timer' threshold in the ARF algorithm.
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
<li><b>SuccessThreshold</b>: The minimum number of sucessfull transmissions to try a new rate.
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
</ul>
Attributes defined in parent classes:<br>
ns3::WifiRemoteStationManager
<ul>
<li><b>IsLowLatency</b>: XXX
  <ul>
    <li>Type: Boolean</li>
<li>Flags: write read construct   </ul> 
<li><b>MaxSsrc</b>: XXX
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
<li><b>MaxSlrc</b>: XXX
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
<li><b>RtsCtsThreshold</b>: XXX
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
<li><b>FragmentationThreshold</b>: XXX
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::NqstaWifiMac::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::NqstaWifiMac

Attributes defined for this type:
<ul>
<li><b>ProbeRequestTimeout</b>: XXX
  <ul>
    <li>Type: Time</li>
<li>Flags: write read construct   </ul> 
<li><b>AssocRequestTimeout</b>: XXX
  <ul>
    <li>Type: Time</li>
<li>Flags: write read construct   </ul> 
<li><b>MaxMissedBeacons</b>: Number of beacons which much be consecutively missed before we attempt to restart association.
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
<li><b>ActiveProbing</b>: XXX
  <ul>
    <li>Type: Boolean</li>
<li>Flags: write read construct   </ul> 
</ul>
Attributes defined in parent classes:<br>
ns3::WifiMac
<ul>
<li><b>CtsTimeout</b>: XXX
  <ul>
    <li>Type: Time</li>
<li>Flags: write read construct   </ul> 
<li><b>AckTimeout</b>: XXX
  <ul>
    <li>Type: Time</li>
<li>Flags: write read construct   </ul> 
<li><b>Sifs</b>: XXX
  <ul>
    <li>Type: Time</li>
<li>Flags: write read construct   </ul> 
<li><b>EifsNoDifs</b>: XXX
  <ul>
    <li>Type: Time</li>
<li>Flags: write read construct   </ul> 
<li><b>Slot</b>: XXX
  <ul>
    <li>Type: Time</li>
<li>Flags: write read construct   </ul> 
<li><b>Pifs</b>: XXX
  <ul>
    <li>Type: Time</li>
<li>Flags: write read construct   </ul> 
<li><b>MaxPropagationDelay</b>: XXX
  <ul>
    <li>Type: Time</li>
<li>Flags: write read construct   </ul> 
<li><b>MaxMsduSize</b>: XXX
  <ul>
    <li>Type: uint16_t -> 1:2304</li>
<li>Flags: write read construct   </ul> 
<li><b>Ssid</b>: XXX
  <ul>
    <li>Type: Ssid</li>
<li>Flags: write read construct   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::WifiMac::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::WifiMac

Attributes defined for this type:
<ul>
<li><b>CtsTimeout</b>: XXX
  <ul>
    <li>Type: Time</li>
<li>Flags: write read construct   </ul> 
<li><b>AckTimeout</b>: XXX
  <ul>
    <li>Type: Time</li>
<li>Flags: write read construct   </ul> 
<li><b>Sifs</b>: XXX
  <ul>
    <li>Type: Time</li>
<li>Flags: write read construct   </ul> 
<li><b>EifsNoDifs</b>: XXX
  <ul>
    <li>Type: Time</li>
<li>Flags: write read construct   </ul> 
<li><b>Slot</b>: XXX
  <ul>
    <li>Type: Time</li>
<li>Flags: write read construct   </ul> 
<li><b>Pifs</b>: XXX
  <ul>
    <li>Type: Time</li>
<li>Flags: write read construct   </ul> 
<li><b>MaxPropagationDelay</b>: XXX
  <ul>
    <li>Type: Time</li>
<li>Flags: write read construct   </ul> 
<li><b>MaxMsduSize</b>: XXX
  <ul>
    <li>Type: uint16_t -> 1:2304</li>
<li>Flags: write read construct   </ul> 
<li><b>Ssid</b>: XXX
  <ul>
    <li>Type: Ssid</li>
<li>Flags: write read construct   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::NqapWifiMac::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::NqapWifiMac

Attributes defined for this type:
<ul>
<li><b>BeaconInterval</b>: Delay between two beacons
  <ul>
    <li>Type: Time</li>
<li>Flags: write read construct   </ul> 
<li><b>BeaconGeneration</b>: Whether or not beacons are generated.
  <ul>
    <li>Type: Boolean</li>
<li>Flags: write read construct   </ul> 
</ul>
Attributes defined in parent classes:<br>
ns3::WifiMac
<ul>
<li><b>CtsTimeout</b>: XXX
  <ul>
    <li>Type: Time</li>
<li>Flags: write read construct   </ul> 
<li><b>AckTimeout</b>: XXX
  <ul>
    <li>Type: Time</li>
<li>Flags: write read construct   </ul> 
<li><b>Sifs</b>: XXX
  <ul>
    <li>Type: Time</li>
<li>Flags: write read construct   </ul> 
<li><b>EifsNoDifs</b>: XXX
  <ul>
    <li>Type: Time</li>
<li>Flags: write read construct   </ul> 
<li><b>Slot</b>: XXX
  <ul>
    <li>Type: Time</li>
<li>Flags: write read construct   </ul> 
<li><b>Pifs</b>: XXX
  <ul>
    <li>Type: Time</li>
<li>Flags: write read construct   </ul> 
<li><b>MaxPropagationDelay</b>: XXX
  <ul>
    <li>Type: Time</li>
<li>Flags: write read construct   </ul> 
<li><b>MaxMsduSize</b>: XXX
  <ul>
    <li>Type: uint16_t -> 1:2304</li>
<li>Flags: write read construct   </ul> 
<li><b>Ssid</b>: XXX
  <ul>
    <li>Type: Ssid</li>
<li>Flags: write read construct   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::AdhocWifiMac::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::AdhocWifiMac

No Attributes defined for this type.
Attributes defined in parent classes:<br>
ns3::WifiMac
<ul>
<li><b>CtsTimeout</b>: XXX
  <ul>
    <li>Type: Time</li>
<li>Flags: write read construct   </ul> 
<li><b>AckTimeout</b>: XXX
  <ul>
    <li>Type: Time</li>
<li>Flags: write read construct   </ul> 
<li><b>Sifs</b>: XXX
  <ul>
    <li>Type: Time</li>
<li>Flags: write read construct   </ul> 
<li><b>EifsNoDifs</b>: XXX
  <ul>
    <li>Type: Time</li>
<li>Flags: write read construct   </ul> 
<li><b>Slot</b>: XXX
  <ul>
    <li>Type: Time</li>
<li>Flags: write read construct   </ul> 
<li><b>Pifs</b>: XXX
  <ul>
    <li>Type: Time</li>
<li>Flags: write read construct   </ul> 
<li><b>MaxPropagationDelay</b>: XXX
  <ul>
    <li>Type: Time</li>
<li>Flags: write read construct   </ul> 
<li><b>MaxMsduSize</b>: XXX
  <ul>
    <li>Type: uint16_t -> 1:2304</li>
<li>Flags: write read construct   </ul> 
<li><b>Ssid</b>: XXX
  <ul>
    <li>Type: Ssid</li>
<li>Flags: write read construct   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::MgtProbeRequestHeader::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::MgtProbeRequestHeader

No Attributes defined for this type.
*/
/*!
\fn static TypeId ns3::Header::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::Header

No Attributes defined for this type.
*/
/*!
\fn static TypeId ns3::Chunk::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::Chunk

No Attributes defined for this type.
*/
/*!
\fn static TypeId ns3::MgtProbeResponseHeader::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::MgtProbeResponseHeader

No Attributes defined for this type.
*/
/*!
\fn static TypeId ns3::MgtAssocRequestHeader::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::MgtAssocRequestHeader

No Attributes defined for this type.
*/
/*!
\fn static TypeId ns3::MgtAssocResponseHeader::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::MgtAssocResponseHeader

No Attributes defined for this type.
*/
/*!
\fn static TypeId ns3::WifiMacTrailer::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::WifiMacTrailer

No Attributes defined for this type.
*/
/*!
\fn static TypeId ns3::Trailer::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::Trailer

No Attributes defined for this type.
*/
/*!
\fn static TypeId ns3::WifiMacHeader::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::WifiMacHeader

No Attributes defined for this type.
*/
/*!
\fn static TypeId ns3::WifiPhy::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::WifiPhy

Attributes defined for this type:
<ul>
<li><b>EnergyDetectionThreshold</b>: The energy of a received signal should be higher than this threshold (dbm) to allow the PHY layer to detect the signal.
  <ul>
    <li>Type: double -> -1.79769e+308:1.79769e+308</li>
<li>Flags: write read construct   </ul> 
<li><b>TxGain</b>: Transmission gain (dB).
  <ul>
    <li>Type: double -> -1.79769e+308:1.79769e+308</li>
<li>Flags: write read construct   </ul> 
<li><b>RxGain</b>: Reception gain (dB).
  <ul>
    <li>Type: double -> -1.79769e+308:1.79769e+308</li>
<li>Flags: write read construct   </ul> 
<li><b>TxPowerLevels</b>: Number of transmission power levels available between TxPowerBase and TxPowerEnd included.
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
<li><b>TxPowerEnd</b>: Maximum available transmission level (dbm).
  <ul>
    <li>Type: double -> -1.79769e+308:1.79769e+308</li>
<li>Flags: write read construct   </ul> 
<li><b>TxPowerStart</b>: Minimum available transmission level (dbm).
  <ul>
    <li>Type: double -> -1.79769e+308:1.79769e+308</li>
<li>Flags: write read construct   </ul> 
<li><b>RxNoise</b>: Ratio of energy lost by receiver (dB).
  <ul>
    <li>Type: double -> -1.79769e+308:1.79769e+308</li>
<li>Flags: write read construct   </ul> 
<li><b>Standard</b>: XXX
  <ul>
    <li>Type: Enum -> 802.11a|holland</li>
<li>Flags: write read construct   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::JakesPropagationLossModel::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::JakesPropagationLossModel

Attributes defined for this type:
<ul>
<li><b>NumberOfRaysPerPath</b>: The number of rays to use by default for compute the fading coeficent for a given path (default is 1)
  <ul>
    <li>Type: uint8_t -> 0:255</li>
<li>Flags: write read construct   </ul> 
<li><b>NumberOfOscillatorsPerRay</b>: The number of oscillators to use by default for compute the coeficent for a given ray of a given path (default is 4)
  <ul>
    <li>Type: uint8_t -> 0:255</li>
<li>Flags: write read construct   </ul> 
<li><b>DopplerFreq</b>: The doppler frequency in Hz (f_d = v / lambda = v * f / c, the defualt is 0)
  <ul>
    <li>Type: double -> -1.79769e+308:1.79769e+308</li>
<li>Flags: write read construct   </ul> 
<li><b>Distribution</b>: The distribution to choose the initial phases.
  <ul>
    <li>Type: RandomVariable</li>
<li>Flags: write read construct   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::CompositePropagationLossModel::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::CompositePropagationLossModel

No Attributes defined for this type.
*/
/*!
\fn static TypeId ns3::RandomPropagationDelayModel::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::RandomPropagationDelayModel

Attributes defined for this type:
<ul>
<li><b>Variable</b>: The random variable which generates random delays (s).
  <ul>
    <li>Type: RandomVariable</li>
<li>Flags: write read construct   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::ConstantSpeedPropagationDelayModel::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::ConstantSpeedPropagationDelayModel

Attributes defined for this type:
<ul>
<li><b>Speed</b>: The speed (m/s)
  <ul>
    <li>Type: double -> -1.79769e+308:1.79769e+308</li>
<li>Flags: write read construct   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::RandomDirection2dMobilityModel::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::RandomDirection2dMobilityModel

Attributes defined for this type:
<ul>
<li><b>Bounds</b>: The 2d bounding area
  <ul>
    <li>Type: Rectangle</li>
<li>Flags: write read construct   </ul> 
<li><b>Speed</b>: A random variable to control the speed (m/s).
  <ul>
    <li>Type: RandomVariable</li>
<li>Flags: write read construct   </ul> 
<li><b>Pause</b>: A random variable to control the pause (s).
  <ul>
    <li>Type: RandomVariable</li>
<li>Flags: write read construct   </ul> 
</ul>
Attributes defined in parent classes:<br>
ns3::MobilityModel
<ul>
<li><b>Position</b>: The current position of the mobility model.
  <ul>
    <li>Type: Vector</li>
<li>Flags: write read construct   </ul> 
<li><b>Velocity</b>: The current velocity of the mobility model.
  <ul>
    <li>Type: Vector</li>
<li>Flags: read   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::MobilityModel::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::MobilityModel

Attributes defined for this type:
<ul>
<li><b>Position</b>: The current position of the mobility model.
  <ul>
    <li>Type: Vector</li>
<li>Flags: write read construct   </ul> 
<li><b>Velocity</b>: The current velocity of the mobility model.
  <ul>
    <li>Type: Vector</li>
<li>Flags: read   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::RandomWalk2dMobilityModel::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::RandomWalk2dMobilityModel

Attributes defined for this type:
<ul>
<li><b>Bounds</b>: Bounds of the area to cruise.
  <ul>
    <li>Type: Rectangle</li>
<li>Flags: write read construct   </ul> 
<li><b>Time</b>: Change current direction and speed after moving for this delay.
  <ul>
    <li>Type: Time</li>
<li>Flags: write read construct   </ul> 
<li><b>Distance</b>: Change current direction and speed after moving for this distance.
  <ul>
    <li>Type: Time</li>
<li>Flags: write read construct   </ul> 
<li><b>Mode</b>: The mode indicates the condition used to change the current speed and direction
  <ul>
    <li>Type: Enum -> Distance|Time</li>
<li>Flags: write read construct   </ul> 
<li><b>Direction</b>: A random variable used to pick the direction (gradients).
  <ul>
    <li>Type: RandomVariable</li>
<li>Flags: write read construct   </ul> 
<li><b>Speed</b>: A random variable used to pick the speed (m/s).
  <ul>
    <li>Type: RandomVariable</li>
<li>Flags: write read construct   </ul> 
</ul>
Attributes defined in parent classes:<br>
ns3::MobilityModel
<ul>
<li><b>Position</b>: The current position of the mobility model.
  <ul>
    <li>Type: Vector</li>
<li>Flags: write read construct   </ul> 
<li><b>Velocity</b>: The current velocity of the mobility model.
  <ul>
    <li>Type: Vector</li>
<li>Flags: read   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::RandomWaypointMobilityModel::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::RandomWaypointMobilityModel

Attributes defined for this type:
<ul>
<li><b>Speed</b>: A random variable used to pick the speed of a random waypoint model.
  <ul>
    <li>Type: RandomVariable</li>
<li>Flags: write read construct   </ul> 
<li><b>Pause</b>: A random variable used to pick the pause of a random waypoint model.
  <ul>
    <li>Type: RandomVariable</li>
<li>Flags: write read construct   </ul> 
<li><b>Position</b>: The position model used to pick a destination point.
  <ul>
    <li>Type: Ptr<></li>
<li>Flags: write read construct   </ul> 
</ul>
Attributes defined in parent classes:<br>
ns3::MobilityModel
<ul>
<li><b>Position</b>: The current position of the mobility model.
  <ul>
    <li>Type: Vector</li>
<li>Flags: write read construct   </ul> 
<li><b>Velocity</b>: The current velocity of the mobility model.
  <ul>
    <li>Type: Vector</li>
<li>Flags: read   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::StaticSpeedMobilityModel::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::StaticSpeedMobilityModel

No Attributes defined for this type.
Attributes defined in parent classes:<br>
ns3::MobilityModel
<ul>
<li><b>Position</b>: The current position of the mobility model.
  <ul>
    <li>Type: Vector</li>
<li>Flags: write read construct   </ul> 
<li><b>Velocity</b>: The current velocity of the mobility model.
  <ul>
    <li>Type: Vector</li>
<li>Flags: read   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::StaticMobilityModel::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::StaticMobilityModel

No Attributes defined for this type.
Attributes defined in parent classes:<br>
ns3::MobilityModel
<ul>
<li><b>Position</b>: The current position of the mobility model.
  <ul>
    <li>Type: Vector</li>
<li>Flags: write read construct   </ul> 
<li><b>Velocity</b>: The current velocity of the mobility model.
  <ul>
    <li>Type: Vector</li>
<li>Flags: read   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::PositionAllocator::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::PositionAllocator

No Attributes defined for this type.
*/
/*!
\fn static TypeId ns3::ListPositionAllocator::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::ListPositionAllocator

No Attributes defined for this type.
*/
/*!
\fn static TypeId ns3::GridPositionAllocator::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::GridPositionAllocator

Attributes defined for this type:
<ul>
<li><b>GridWidth</b>: The number of objects layed out on a line.
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
<li><b>MinX</b>: The x coordinate where the grid starts.
  <ul>
    <li>Type: double -> -1.79769e+308:1.79769e+308</li>
<li>Flags: write read construct   </ul> 
<li><b>MinY</b>: The y coordinate where the grid starts.
  <ul>
    <li>Type: double -> -1.79769e+308:1.79769e+308</li>
<li>Flags: write read construct   </ul> 
<li><b>DeltaX</b>: The x space between objects.
  <ul>
    <li>Type: double -> -1.79769e+308:1.79769e+308</li>
<li>Flags: write read construct   </ul> 
<li><b>DeltaY</b>: The y space between objects.
  <ul>
    <li>Type: double -> -1.79769e+308:1.79769e+308</li>
<li>Flags: write read construct   </ul> 
<li><b>LayoutType</b>: The type of layout.
  <ul>
    <li>Type: Enum -> RowFirst|ColumnFirst</li>
<li>Flags: write read construct   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::RandomRectanglePositionAllocator::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::RandomRectanglePositionAllocator

Attributes defined for this type:
<ul>
<li><b>X</b>: A random variable which represents the x coordinate of a position in a random rectangle.
  <ul>
    <li>Type: RandomVariable</li>
<li>Flags: write read construct   </ul> 
<li><b>Y</b>: A random variable which represents the y coordinate of a position in a random rectangle.
  <ul>
    <li>Type: RandomVariable</li>
<li>Flags: write read construct   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::RandomDiscPositionAllocator::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::RandomDiscPositionAllocator

Attributes defined for this type:
<ul>
<li><b>Theta</b>: A random variable which represents the angle (gradients) of a position in a random disc.
  <ul>
    <li>Type: RandomVariable</li>
<li>Flags: write read construct   </ul> 
<li><b>Rho</b>: A random variable which represents the radius of a position in a random disc.
  <ul>
    <li>Type: RandomVariable</li>
<li>Flags: write read construct   </ul> 
<li><b>X</b>: The x coordinate of the center of the random position disc.
  <ul>
    <li>Type: double -> -1.79769e+308:1.79769e+308</li>
<li>Flags: write read construct   </ul> 
<li><b>Y</b>: The y coordinate of the center of the random position disc.
  <ul>
    <li>Type: double -> -1.79769e+308:1.79769e+308</li>
<li>Flags: write read construct   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::HierarchicalMobilityModel::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::HierarchicalMobilityModel

Attributes defined for this type:
<ul>
<li><b>Child</b>: The child mobility model.
  <ul>
    <li>Type: Ptr<></li>
<li>Flags: write read construct   </ul> 
<li><b>Parent</b>: The parent mobility model.
  <ul>
    <li>Type: Ptr<></li>
<li>Flags: write read construct   </ul> 
</ul>
Attributes defined in parent classes:<br>
ns3::MobilityModel
<ul>
<li><b>Position</b>: The current position of the mobility model.
  <ul>
    <li>Type: Vector</li>
<li>Flags: write read construct   </ul> 
<li><b>Velocity</b>: The current velocity of the mobility model.
  <ul>
    <li>Type: Vector</li>
<li>Flags: read   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::GlobalRouter::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::GlobalRouter

No Attributes defined for this type.
*/
/*!
\fn static TypeId ns3::olsr::AgentImpl::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::olsr::AgentImpl

Attributes defined for this type:
<ul>
<li><b>HelloInterval</b>: XXX
  <ul>
    <li>Type: Time</li>
<li>Flags: write read construct   </ul> 
<li><b>TcInterval</b>: XXX
  <ul>
    <li>Type: Time</li>
<li>Flags: write read construct   </ul> 
<li><b>MidInterval</b>: XXX
  <ul>
    <li>Type: Time</li>
<li>Flags: write read construct   </ul> 
<li><b>Willingness</b>: XXX
  <ul>
    <li>Type: uint8_t -> 0:255</li>
<li>Flags: write read construct   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::olsr::Agent::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::olsr::Agent

No Attributes defined for this type.
*/
/*!
\fn static TypeId ns3::olsr::PacketHeader::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::olsr::PacketHeader

No Attributes defined for this type.
*/
/*!
\fn static TypeId ns3::olsr::MessageHeader::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::olsr::MessageHeader

No Attributes defined for this type.
*/
/*!
\fn static TypeId ns3::UdpEchoServer::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::UdpEchoServer

Attributes defined for this type:
<ul>
<li><b>Port</b>: Port on which we listen for incoming packets.
  <ul>
    <li>Type: uint16_t -> 0:65535</li>
<li>Flags: write read construct   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::Application::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::Application

No Attributes defined for this type.
*/
/*!
\fn static TypeId ns3::UdpEchoClient::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::UdpEchoClient

Attributes defined for this type:
<ul>
<li><b>MaxPackets</b>: XXX
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
<li><b>Interval</b>: XXX
  <ul>
    <li>Type: Time</li>
<li>Flags: write read construct   </ul> 
<li><b>RemoteIpv4</b>: XXX
  <ul>
    <li>Type: Ipv4Address</li>
<li>Flags: write read construct   </ul> 
<li><b>RemotePort</b>: XXX
  <ul>
    <li>Type: uint16_t -> 0:65535</li>
<li>Flags: write read construct   </ul> 
<li><b>PacketSize</b>: Size of packets generated
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::Udp::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::Udp

No Attributes defined for this type.
*/
/*!
\fn static TypeId ns3::SocketFactory::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::SocketFactory

No Attributes defined for this type.
*/
/*!
\fn static TypeId ns3::PacketSink::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::PacketSink

Attributes defined for this type:
<ul>
<li><b>Local</b>: The Address on which to Bind the rx socket.
  <ul>
    <li>Type: Address</li>
<li>Flags: write read construct   </ul> 
<li><b>Protocol</b>: The type id of the protocol to use for the rx socket.
  <ul>
    <li>Type: TypeId</li>
<li>Flags: write read construct   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::OnOffApplication::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::OnOffApplication

Attributes defined for this type:
<ul>
<li><b>DataRate</b>: The data rate in on state.
  <ul>
    <li>Type: DataRate</li>
<li>Flags: write read construct   </ul> 
<li><b>PacketSize</b>: The size of packets sent in on state
  <ul>
    <li>Type: uint32_t -> 1:4294967295</li>
<li>Flags: write read construct   </ul> 
<li><b>Remote</b>: The address of the destination
  <ul>
    <li>Type: Address</li>
<li>Flags: write read construct   </ul> 
<li><b>OnTime</b>: A RandomVariable used to pick the duration of the 'On' state.
  <ul>
    <li>Type: RandomVariable</li>
<li>Flags: write read construct   </ul> 
<li><b>OffTime</b>: A RandomVariable used to pick the duration of the 'Off' state.
  <ul>
    <li>Type: RandomVariable</li>
<li>Flags: write read construct   </ul> 
<li><b>MaxBytes</b>: The total number of bytes to send. Once these bytes are sent, no packet is sent again, even in on state. The value zero means that there is no limit.
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
<li><b>Protocol</b>: The type of protocol to use.
  <ul>
    <li>Type: TypeId</li>
<li>Flags: write read construct   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::CsmaChannel::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::CsmaChannel

Attributes defined for this type:
<ul>
<li><b>BitRate</b>: The maximum bitrate of the channel
  <ul>
    <li>Type: DataRate</li>
<li>Flags: write read construct   </ul> 
<li><b>Delay</b>: Transmission delay through the channel
  <ul>
    <li>Type: Time</li>
<li>Flags: write read construct   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::Channel::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::Channel

No Attributes defined for this type.
*/
/*!
\fn static TypeId ns3::CsmaNetDevice::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::CsmaNetDevice

Attributes defined for this type:
<ul>
<li><b>Address</b>: The address of this device.
  <ul>
    <li>Type: Mac48Address</li>
<li>Flags: write read construct   </ul> 
<li><b>EncapsulationMode</b>: The mode of link-layer encapsulation to use.
  <ul>
    <li>Type: Enum -> EthernetV1|IpArp|Raw|Llc</li>
<li>Flags: write read construct   </ul> 
<li><b>SendEnable</b>: should tx be enabled ?
  <ul>
    <li>Type: Boolean</li>
<li>Flags: write read construct   </ul> 
<li><b>ReceiveEnable</b>: should rx be enabled ?
  <ul>
    <li>Type: Boolean</li>
<li>Flags: write read construct   </ul> 
<li><b>DataRate</b>: XXX
  <ul>
    <li>Type: DataRate</li>
<li>Flags: write read construct   </ul> 
<li><b>RxErrorModel</b>: XXX
  <ul>
    <li>Type: Ptr<></li>
<li>Flags: write read construct   </ul> 
<li><b>TxQueue</b>: XXX
  <ul>
    <li>Type: Ptr<></li>
<li>Flags: write read construct   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::NetDevice::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::NetDevice

No Attributes defined for this type.
*/
/*!
\fn static TypeId ns3::PointToPointChannel::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::PointToPointChannel

Attributes defined for this type:
<ul>
<li><b>BitRate</b>: The maximum bitrate of the channel
  <ul>
    <li>Type: DataRate</li>
<li>Flags: write read construct   </ul> 
<li><b>Delay</b>: Transmission delay through the channel
  <ul>
    <li>Type: Time</li>
<li>Flags: write read construct   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::PointToPointNetDevice::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::PointToPointNetDevice

Attributes defined for this type:
<ul>
<li><b>Address</b>: The address of this device.
  <ul>
    <li>Type: Mac48Address</li>
<li>Flags: write read construct   </ul> 
<li><b>DataRate</b>: The default data rate for point to point links
  <ul>
    <li>Type: DataRate</li>
<li>Flags: write read construct   </ul> 
<li><b>ReceiveErrorModel</b>: XXX
  <ul>
    <li>Type: Ptr<></li>
<li>Flags: write read construct   </ul> 
<li><b>TxQueue</b>: XXX
  <ul>
    <li>Type: Ptr<></li>
<li>Flags: write read construct   </ul> 
<li><b>InterframeGap</b>: XXX
  <ul>
    <li>Type: Time</li>
<li>Flags: write read construct   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::RttEstimator::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::RttEstimator

Attributes defined for this type:
<ul>
<li><b>MaxMultiplier</b>: XXX
  <ul>
    <li>Type: double -> -1.79769e+308:1.79769e+308</li>
<li>Flags: write read construct   </ul> 
<li><b>InitialEstimation</b>: XXX
  <ul>
    <li>Type: Time</li>
<li>Flags: write read construct   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::RttMeanDeviation::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::RttMeanDeviation

Attributes defined for this type:
<ul>
<li><b>Gain</b>: XXX
  <ul>
    <li>Type: double -> -1.79769e+308:1.79769e+308</li>
<li>Flags: write read construct   </ul> 
</ul>
Attributes defined in parent classes:<br>
ns3::RttEstimator
<ul>
<li><b>MaxMultiplier</b>: XXX
  <ul>
    <li>Type: double -> -1.79769e+308:1.79769e+308</li>
<li>Flags: write read construct   </ul> 
<li><b>InitialEstimation</b>: XXX
  <ul>
    <li>Type: Time</li>
<li>Flags: write read construct   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::ArpL3Protocol::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::ArpL3Protocol

No Attributes defined for this type.
*/
/*!
\fn static TypeId ns3::ArpHeader::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::ArpHeader

No Attributes defined for this type.
*/
/*!
\fn static TypeId ns3::TcpL4Protocol::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::TcpL4Protocol

Attributes defined for this type:
<ul>
<li><b>RttEstimatorFactory</b>: How RttEstimator objects are created.
  <ul>
    <li>Type: ObjectFactory</li>
<li>Flags: write read construct   </ul> 
</ul>
Attributes defined in parent classes:<br>
ns3::Ipv4L4Protocol
<ul>
<li><b>ProtocolNumber</b>: The Ipv4 protocol number.
  <ul>
    <li>Type: int32_t -> 18446744071562067968:2147483647</li>
<li>Flags: write read construct   </ul> 
<li><b>Version</b>: The version of the protocol.
  <ul>
    <li>Type: int32_t -> 18446744071562067968:2147483647</li>
<li>Flags: write read construct   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::Ipv4L4Protocol::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::Ipv4L4Protocol

Attributes defined for this type:
<ul>
<li><b>ProtocolNumber</b>: The Ipv4 protocol number.
  <ul>
    <li>Type: int32_t -> 18446744071562067968:2147483647</li>
<li>Flags: write read construct   </ul> 
<li><b>Version</b>: The version of the protocol.
  <ul>
    <li>Type: int32_t -> 18446744071562067968:2147483647</li>
<li>Flags: write read construct   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::UdpL4Protocol::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::UdpL4Protocol

No Attributes defined for this type.
Attributes defined in parent classes:<br>
ns3::Ipv4L4Protocol
<ul>
<li><b>ProtocolNumber</b>: The Ipv4 protocol number.
  <ul>
    <li>Type: int32_t -> 18446744071562067968:2147483647</li>
<li>Flags: write read construct   </ul> 
<li><b>Version</b>: The version of the protocol.
  <ul>
    <li>Type: int32_t -> 18446744071562067968:2147483647</li>
<li>Flags: write read construct   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::Ipv4L3Protocol::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::Ipv4L3Protocol

Attributes defined for this type:
<ul>
<li><b>DefaultTtl</b>: The TTL value set by default on all outgoing packets generated on this node.
  <ul>
    <li>Type: uint8_t -> 0:255</li>
<li>Flags: write read construct   </ul> 
<li><b>InterfaceList</b>: The set of Ipv4 interfaces associated to this Ipv4 stack.
  <ul>
    <li>Type: ObjectVector</li>
<li>Flags: write read construct   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::TcpHeader::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::TcpHeader

No Attributes defined for this type.
*/
/*!
\fn static TypeId ns3::UdpHeader::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::UdpHeader

No Attributes defined for this type.
*/
/*!
\fn static TypeId ns3::Ipv4Header::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::Ipv4Header

No Attributes defined for this type.
*/
/*!
\fn static TypeId ns3::Ipv4L4Demux::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::Ipv4L4Demux

Attributes defined for this type:
<ul>
<li><b>Protocols</b>: The set of protocols registered with this demux.
  <ul>
    <li>Type: ObjectVector</li>
<li>Flags: write read construct   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::Ipv4::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::Ipv4

No Attributes defined for this type.
*/
/*!
\fn static TypeId ns3::Tcp::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::Tcp

Attributes defined for this type:
<ul>
<li><b>TcpDefaultSegmentSize</b>: Default TCP maximum segment size in bytes (may be adjusted based on MTU discovery)
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
<li><b>TcpDefaultAdvertisedWindowSize</b>: Default TCP advertised window size (bytes)
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
<li><b>TcpDefaultSlowStartThreshold</b>: Default TCP slow start threshold (bytes)
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
<li><b>TcpDefaultTxBufferSize</b>: Default TCP maximum transmit buffer size (bytes)
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
<li><b>TcpDefaultRxBufferSize</b>: Default TCP maximum receive buffer size (bytes)
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
<li><b>TcpDefaultInitialCongestionWindowSize</b>: Default TCP initial congestion window size (segments)
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
<li><b>TcpDefaultConnTimeout</b>: Default TCP retransmission timeout when opening connection (seconds)
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
<li><b>TcpDefaultConnCount</b>: Default number of connection attempts (SYN retransmissions) before returning failure
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
<li><b>TcpDefaultDelAckTimeout</b>: Default timeout value for TCP delayed acks, in seconds
  <ul>
    <li>Type: double -> -1.79769e+308:1.79769e+308</li>
<li>Flags: write read construct   </ul> 
<li><b>TcpDefaultDelAckCount</b>: Default number of packets to wait before sending a TCP ack
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::PacketSocketFactory::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::PacketSocketFactory

No Attributes defined for this type.
*/
/*!
\fn static TypeId ns3::DropTailQueue::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::DropTailQueue

Attributes defined for this type:
<ul>
<li><b>MaxPackets</b>: The maximum number of packets accepted by this DropTailQueue.
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: write read construct   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::Queue::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::Queue

No Attributes defined for this type.
*/
/*!
\fn static TypeId ns3::EthernetTrailer::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::EthernetTrailer

No Attributes defined for this type.
*/
/*!
\fn static TypeId ns3::EthernetHeader::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::EthernetHeader

No Attributes defined for this type.
*/
/*!
\fn static TypeId ns3::LlcSnapHeader::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::LlcSnapHeader

No Attributes defined for this type.
*/
/*!
\fn static TypeId ns3::Node::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::Node

Attributes defined for this type:
<ul>
<li><b>DeviceList</b>: The list of devices associated to this Node.
  <ul>
    <li>Type: ObjectVector</li>
<li>Flags: write read construct   </ul> 
<li><b>ApplicationList</b>: The list of applications associated to this Node.
  <ul>
    <li>Type: ObjectVector</li>
<li>Flags: write read construct   </ul> 
<li><b>Id</b>: The id (unique integer) of this Node.
  <ul>
    <li>Type: uint32_t -> 0:4294967295</li>
<li>Flags: read   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::ErrorModel::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::ErrorModel

Attributes defined for this type:
<ul>
<li><b>IsEnabled</b>: Whether this ErrorModel is enabled or not.
  <ul>
    <li>Type: Boolean</li>
<li>Flags: write read construct   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::RateErrorModel::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::RateErrorModel

Attributes defined for this type:
<ul>
<li><b>ErrorUnit</b>: The error unit
  <ul>
    <li>Type: Enum -> EU_BYTE|EU_PKT|EU_BIT</li>
<li>Flags: write read construct   </ul> 
<li><b>ErrorRate</b>: The error rate.
  <ul>
    <li>Type: double -> -1.79769e+308:1.79769e+308</li>
<li>Flags: write read construct   </ul> 
<li><b>RanVar</b>: The decision variable attached to this error model.
  <ul>
    <li>Type: RandomVariable</li>
<li>Flags: write read construct   </ul> 
</ul>
Attributes defined in parent classes:<br>
ns3::ErrorModel
<ul>
<li><b>IsEnabled</b>: Whether this ErrorModel is enabled or not.
  <ul>
    <li>Type: Boolean</li>
<li>Flags: write read construct   </ul> 
</ul>
*/
/*!
\fn static TypeId ns3::ListErrorModel::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::ListErrorModel

No Attributes defined for this type.
Attributes defined in parent classes:<br>
ns3::ErrorModel
<ul>
<li><b>IsEnabled</b>: Whether this ErrorModel is enabled or not.
  <ul>
    <li>Type: Boolean</li>
<li>Flags: write read construct   </ul> 
</ul>
*/
/*!
/*!
/*!
/*!
/*!
